query AgentReview($applicationId: UUID!) {
agentReview(applicationId: $applicationId) {
blockers
components {
componentId
disposition
rationale
}
leadConcernComponentIds
sessionId
status
summary
}
}
{
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query AgentReview($applicationId: UUID!) {\n agentReview(applicationId: $applicationId) {\n blockers\n components {\n componentId\n disposition\n rationale\n }\n leadConcernComponentIds\n sessionId\n status\n summary\n }\n}",
"variables": {
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}'
{
"data": {
"agentReview": {
"blockers": [
"example"
],
"components": [
{
"componentId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"disposition": "LIKELY_PROBLEM",
"rationale": "example"
}
],
"leadConcernComponentIds": [
"c9a1e2d3-4b5f-6789-0abc-def123456789"
],
"sessionId": "example",
"status": "NOT_STARTED",
"summary": "example"
}
}
}
Queries
agentReview
Returns the latest Agent Review session for an underwriting application
query AgentReview($applicationId: UUID!) {
agentReview(applicationId: $applicationId) {
blockers
components {
componentId
disposition
rationale
}
leadConcernComponentIds
sessionId
status
summary
}
}
{
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query AgentReview($applicationId: UUID!) {\n agentReview(applicationId: $applicationId) {\n blockers\n components {\n componentId\n disposition\n rationale\n }\n leadConcernComponentIds\n sessionId\n status\n summary\n }\n}",
"variables": {
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}'
{
"data": {
"agentReview": {
"blockers": [
"example"
],
"components": [
{
"componentId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"disposition": "LIKELY_PROBLEM",
"rationale": "example"
}
],
"leadConcernComponentIds": [
"c9a1e2d3-4b5f-6789-0abc-def123456789"
],
"sessionId": "example",
"status": "NOT_STARTED",
"summary": "example"
}
}
}
Query
Arguments
UUID!
required
Return type
UnderwritingApplicationAgentReview
[String!]!
required
Short, discrete statements of anything that must be resolved before a decision can be made.
[UnderwritingApplicationAgentReviewComponent!]!
required
One disposition row per decision component reviewed in this session.
Show child attributes
Show child attributes
UUID!
required
The decision component this row reviews.
UnderwritingApplicationAgentReviewDisposition!
required
String!
required
The reviewer’s rationale for this disposition, citing the specific fields and values it saw.
[UUID!]!
required
The componentId(s) (from components) that most need the underwriter’s attention first.
String!
required
The agent review session id correlating this record with the agent invocation.
UnderwritingApplicationAgentReviewStatus!
required
The status of this session — may be IN_PROGRESS if the review has not yet completed.
Show Possible enum values
Show Possible enum values
enum
No agent review has been requested for this application. This is the default for new applications.
enum
The agent has finished its review and a final response has been written.
enum
The agent invocation errored or timed out; no completed review is available.
enum
The agent is currently reviewing the application or is queued to do so.
String
The reviewer’s overall summary, including cross-cutting findings not tied to a single decision
component. Null until the session completes.
query AgentReview($applicationId: UUID!) {
agentReview(applicationId: $applicationId) {
blockers
components {
componentId
disposition
rationale
}
leadConcernComponentIds
sessionId
status
summary
}
}
{
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query AgentReview($applicationId: UUID!) {\n agentReview(applicationId: $applicationId) {\n blockers\n components {\n componentId\n disposition\n rationale\n }\n leadConcernComponentIds\n sessionId\n status\n summary\n }\n}",
"variables": {
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}'
{
"data": {
"agentReview": {
"blockers": [
"example"
],
"components": [
{
"componentId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"disposition": "LIKELY_PROBLEM",
"rationale": "example"
}
],
"leadConcernComponentIds": [
"c9a1e2d3-4b5f-6789-0abc-def123456789"
],
"sessionId": "example",
"status": "NOT_STARTED",
"summary": "example"
}
}
}
Was this page helpful?